GRID-MANAGER(1)

NAME
grid-manager - A Tahoe Grid Manager for issuing certificates to storage-servers.

SYNOPSIS
grid-manager [OPTIONS] COMMAND [ARGS]...

DESCRIPTION
A Tahoe Grid Manager issues certificates to storage-servers. A Tahoe client with one or more Grid Manager public keys configured will only upload to a Storage Server that presents a valid certificate signed by one of the configured Grid Manager keys. Grid Manager configuration can be in a local directory or given via stdin. It contains long-term secret information (a private signing key) and should be kept safe.

OPTIONS

-c, --config PATH
    Configuration directory (or - for stdin). Required.

--help
    Show help message and exit.

COMMANDS

add Add a new storage-server by name to a Grid Manager.

create
    Make a new Grid Manager.

list
    List all storage-servers known to a Grid Manager.

public-identity
    Show the public identity key of a Grid Manager.

remove
    Remove an existing storage-server by name from a Grid Manager.

sign
    Sign a new certificate.

AUTHORS
Grid Manager has been written by meejah.

Tahoe-LAFS has been written by Brian Warner, Zooko Wilcox-O'Hearn, and numerous other contributors.

REPORTING BUGS
Please see https://tahoe-lafs.org/trac/tahoe-lafs/wiki/HowToReportABug

Tahoe-LAFS home page: https://tahoe-lafs.org/

Tahoe-LAFS development mailing list: https://lists.tahoe-lafs.org/mailman/listinfo/tahoe-dev

COPYRIGHT
Copyright © 2006–2025 The Tahoe-LAFS Software Foundation.

SEE ALSO
tahoe(1)

The Tahoe-LAFS documentation on Grid Managers has more detail than this manual page: https://tahoe-lafs.readthedocs.io/en/latest/managed-grid.html

It includes a step-by-step tutorial on how to set up a managed grid: https://tahoe-lafs.readthedocs.io/en/latest/managed-grid.html#example-setup-of-a-new-managed-grid